org.apache.hadoop.mapreduce.lib.join

## Class Parser.StrToken

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.join.Parser.Token
  - - org.apache.hadoop.mapreduce.lib.join.Parser.StrToken

- Enclosing class:
    Parser

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public static class Parser.StrToken
      extends Parser.Token

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrToken(Parser.TType type, String str)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStr()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.Parser.Token

      `getNode, getNum, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrToken

          public StrToken(Parser.TType type,
                          String str)

  - ### Method Detail

    - #### getStr

          public String getStr()

      Overrides:
        `getStr` in class `Parser.Token`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.